Subject: Re: [PATCH] Re: Bad network performance over 2Gbps

From: Rick Jones <[email-masked]>
Date: Mon, 21 Apr 2008 13:02:08 -0700

Bodo Eggert wrote:
> On Mon, 21 Apr 2008, Rick Jones wrote:
>>Be it kernel or user space, for consistent benchmark results it needs to be
>>able to be turned-off without turning the code.  That leaves me in agreement
>>with Stephen that if it must exist, the user space one would be preferable.
>>It can be easily terminated with extreme prejudice.
> 
> 
> I agree that having a full-featured userspace balancer daemon with lots of 
> intelligence will be theoretically better, but if you can have a simple
> daemon doing OK on many machines for less than the userspace daemon's
> kernel stack, why not?

Perhaps my judgement is too colored by benchmark(et)ing, and desires to 
have repeatable results on things like neperf, but I very much like to 
know where my interrupts are going and don't like them moving around. 
That is why I am not particularly fond of either flavor of irq balancing.

That being the case, whatever is out there aught to be able to be 
disabled on a running system without having to roll bits or reboot.

rick jones